# Uses of Class
com.usatiuk.dhfs.persistence.ObjectChangelog

Packages that use ObjectChangelog
Package
Description
com.usatiuk.dhfs.persistence
com.usatiuk.dhfs.repository

## Uses of ObjectChangelog in com.usatiuk.dhfs.persistence

Methods in com.usatiuk.dhfs.persistence that return ObjectChangelog
Modifier and Type
Method
Description
`ObjectChangelog`
ObjectChangelog.Builder.`build()`
`ObjectChangelog`
ObjectChangelog.Builder.`buildPartial()`
`static ObjectChangelog`
ObjectChangelog.`getDefaultInstance()`
`ObjectChangelog`
ObjectChangelog.Builder.`getDefaultInstanceForType()`
`ObjectChangelog`
ObjectChangelog.`getDefaultInstanceForType()`
`static ObjectChangelog`
ObjectChangelog.`parseDelimitedFrom(InputStream input)`
`static ObjectChangelog`
ObjectChangelog.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ObjectChangelog`
ObjectChangelog.`parseFrom(byte[] data)`
`static ObjectChangelog`
ObjectChangelog.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ObjectChangelog`
ObjectChangelog.`parseFrom(com.google.protobuf.ByteString data)`
`static ObjectChangelog`
ObjectChangelog.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ObjectChangelog`
ObjectChangelog.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static ObjectChangelog`
ObjectChangelog.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ObjectChangelog`
ObjectChangelog.`parseFrom(InputStream input)`
`static ObjectChangelog`
ObjectChangelog.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ObjectChangelog`
ObjectChangelog.`parseFrom(ByteBuffer data)`
`static ObjectChangelog`
ObjectChangelog.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in com.usatiuk.dhfs.persistence that return types with arguments of type ObjectChangelog
Modifier and Type
Method
Description
`com.google.protobuf.Parser<ObjectChangelog>`
ObjectChangelog.`getParserForType()`
`static com.google.protobuf.Parser<ObjectChangelog>`
ObjectChangelog.`parser()`
Methods in com.usatiuk.dhfs.persistence with parameters of type ObjectChangelog
Modifier and Type
Method
Description
`ObjectChangelog.Builder`
ObjectChangelog.Builder.`mergeFrom(ObjectChangelog other)`
`static ObjectChangelog.Builder`
ObjectChangelog.`newBuilder(ObjectChangelog prototype)`

## Uses of ObjectChangelog in com.usatiuk.dhfs.repository

Methods in com.usatiuk.dhfs.repository that return ObjectChangelog
Modifier and Type
Method
Description
`ObjectChangelog`
GetObjectReply.Builder.`getChangelog()`
`.dhfs.persistence.ObjectChangelog changelog = 5;`
`ObjectChangelog`
GetObjectReply.`getChangelog()`
`.dhfs.persistence.ObjectChangelog changelog = 5;`
`ObjectChangelog`
GetObjectReplyOrBuilder.`getChangelog()`
`.dhfs.persistence.ObjectChangelog changelog = 5;`
Methods in com.usatiuk.dhfs.repository with parameters of type ObjectChangelog
Modifier and Type
Method
Description
`GetObjectReply.Builder`
GetObjectReply.Builder.`mergeChangelog(ObjectChangelog value)`
`.dhfs.persistence.ObjectChangelog changelog = 5;`
`GetObjectReply.Builder`
GetObjectReply.Builder.`setChangelog(ObjectChangelog value)`
`.dhfs.persistence.ObjectChangelog changelog = 5;`